# FSLogixStatusCode.md

## NAME

FSLogixStatusCode

## DESCRIPTION

| Values                                                                | Description                                                             |
| --------------------------------------------------------------------- | ----------------------------------------------------------------------- |
| Success                                                               | The system is working as expected. Check Reason to see the state of the |
| Profile.                                                              | Error                                                                   |
| The system is in an error state.                                      | VirtualDiskDLL                                                          |
| The DLL that provides the Virtual Disk API ('virtdisk.dll') cannot be | found.                                                                  |
| GetUser                                                               | Unable to get the user SID from the user token.                         |
| Security                                                              | A security API failed.                                                  |
| VHDPath                                                               | Error determining the path to the VHD/X file.                           |
| CreateDir                                                             | Error creating a directory.                                             |
| Impersonation                                                         | Error impersonating the user.                                           |
| CreateVHD                                                             | Error creating the VHD/X file.                                          |
| CloseHandle                                                           | Error closing a handle.                                                 |
| OpenVHD                                                               | Error opening the VHD/X file.                                           |
| AttachVHD                                                             | Error attaching the VHD/X.                                              |
| GetPhysicalPath                                                       | Error getting the physical path of the VHD/X.                           |
| OpenDevice                                                            | Error opening the device.                                               |
| InitializeDisk                                                        | Error initializing the disk.                                            |
| GetVolumeGUID                                                         | Error retrieving the volume GUID.                                       |
| FormatVolume                                                          | Error formatting the volume.                                            |
| GetProfileDirectory                                                   | Unable to determine the user's profile directory.                       |
| SetMountPoint                                                         | Error creating a junction in the file system.                           |
| RegistryImport                                                        | Error importing registry data.                                          |
| CheckGroupMembership                                                  | Error checking group membership for the user.                           |
| HandleProfile                                                         | Error trying to determine the profile type.                             |
| ProfileSubfolderRedirection                                           | Error processing the redirections.xml file.                             |
| WaitingCreationOfUserProfile                                          | The VHD/X is attached and ready. The system is waiting for the Windows  |
| Profile Service to begin creation of the user's profile.              | InProgress                                                              |
| The FSLogix Profile system is currently working on setting up the     | profile.                                                                |
| AlreadyAttached                                                       | The FSLogix Profile was already attached for the user logging on. This  |
| only happens on a machine that has been configured to allow multiple, | concurrent logons for the same user.                                    |

### References to Types | | |

\|--------------------------------------| | | [RDSession](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/types/RDSession.md) |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/fslogixstatuscode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
